io.swagger.client.api

## Class ApplicationsApi

- java.lang.Object
- - io.swagger.client.api.ApplicationsApi

-     public class ApplicationsApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationsApi()`
    `ApplicationsApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applicationDelete(String applicationID)` Deletes the specified blockchain application.
    `com.squareup.okhttp.Call` | `applicationDeleteAsync(String applicationID, ApiCallback<Void> callback)` (asynchronously) Deletes the specified blockchain application.
    `com.squareup.okhttp.Call` | `applicationDeleteCall(String applicationID, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applicationDelete
    `ApiResponse<Void>` | `applicationDeleteWithHttpInfo(String applicationID)` Deletes the specified blockchain application.
    `void` | `applicationDisable(Integer applicationId)` Disables the specified blockchain application.
    `com.squareup.okhttp.Call` | `applicationDisableAsync(Integer applicationId, ApiCallback<Void> callback)` (asynchronously) Disables the specified blockchain application.
    `com.squareup.okhttp.Call` | `applicationDisableCall(Integer applicationId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applicationDisable
    `ApiResponse<Void>` | `applicationDisableWithHttpInfo(Integer applicationId)` Disables the specified blockchain application.
    `void` | `applicationEnable(Integer applicationId)` Enables the specified blockchain application.
    `com.squareup.okhttp.Call` | `applicationEnableAsync(Integer applicationId, ApiCallback<Void> callback)` (asynchronously) Enables the specified blockchain application.
    `com.squareup.okhttp.Call` | `applicationEnableCall(Integer applicationId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applicationEnable
    `ApiResponse<Void>` | `applicationEnableWithHttpInfo(Integer applicationId)` Enables the specified blockchain application.
    `Application` | `applicationGet(Integer applicationId)` Gets the blockchain application matching a specific application ID.
    `com.squareup.okhttp.Call` | `applicationGetAsync(Integer applicationId, ApiCallback<Application> callback)` (asynchronously) Gets the blockchain application matching a specific application ID.
    `com.squareup.okhttp.Call` | `applicationGetCall(Integer applicationId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applicationGet
    `ApiResponse<Application>` | `applicationGetWithHttpInfo(Integer applicationId)` Gets the blockchain application matching a specific application ID.
    `ApplicationList` | `applicationsGet(Integer top, Integer skip, Boolean enabled)` Lists all blockchain applications to which a user has access in Workbench.
    `com.squareup.okhttp.Call` | `applicationsGetAsync(Integer top, Integer skip, Boolean enabled, ApiCallback<ApplicationList> callback)` (asynchronously) Lists all blockchain applications to which a user has access in Workbench.
    `com.squareup.okhttp.Call` | `applicationsGetCall(Integer top, Integer skip, Boolean enabled, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applicationsGet
    `ApiResponse<ApplicationList>` | `applicationsGetWithHttpInfo(Integer top, Integer skip, Boolean enabled)` Lists all blockchain applications to which a user has access in Workbench.
    `Integer` | `applicationsPost(File file)` Creates a new blockchain application.
    `com.squareup.okhttp.Call` | `applicationsPostAsync(File file, ApiCallback<Integer> callback)` (asynchronously) Creates a new blockchain application.
    `com.squareup.okhttp.Call` | `applicationsPostCall(File file, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applicationsPost
    `ApiResponse<Integer>` | `applicationsPostWithHttpInfo(File file)` Creates a new blockchain application.
    `void` | `contractCodeDelete(Integer contractCodeId)` Deletes the specified blockchain smart contract implementation of a specific blockchain application.
    `com.squareup.okhttp.Call` | `contractCodeDeleteAsync(Integer contractCodeId, ApiCallback<Void> callback)` (asynchronously) Deletes the specified blockchain smart contract implementation of a specific blockchain application.
    `com.squareup.okhttp.Call` | `contractCodeDeleteCall(Integer contractCodeId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for contractCodeDelete
    `ApiResponse<Void>` | `contractCodeDeleteWithHttpInfo(Integer contractCodeId)` Deletes the specified blockchain smart contract implementation of a specific blockchain application.
    `FileStreamResult` | `contractCodeGet(Integer contractCodeId)` Get the blockchain smart contract implementation matching a specific ledger implementation ID.
    `com.squareup.okhttp.Call` | `contractCodeGetAsync(Integer contractCodeId, ApiCallback<FileStreamResult> callback)` (asynchronously) Get the blockchain smart contract implementation matching a specific ledger implementation ID.
    `com.squareup.okhttp.Call` | `contractCodeGetCall(Integer contractCodeId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for contractCodeGet
    `ApiResponse<FileStreamResult>` | `contractCodeGetWithHttpInfo(Integer contractCodeId)` Get the blockchain smart contract implementation matching a specific ledger implementation ID.
    `Integer` | `contractCodePost(Integer applicationId, File file, Integer ledgerId)` Uploads one or more smart contracts (ex.
    `com.squareup.okhttp.Call` | `contractCodePostAsync(Integer applicationId, File file, Integer ledgerId, ApiCallback<Integer> callback)` (asynchronously) Uploads one or more smart contracts (ex.
    `com.squareup.okhttp.Call` | `contractCodePostCall(Integer applicationId, File file, Integer ledgerId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for contractCodePost
    `ApiResponse<Integer>` | `contractCodePostWithHttpInfo(Integer applicationId, File file, Integer ledgerId)` Uploads one or more smart contracts (ex.
    `ContractCodeList` | `contractCodesGet(Integer applicationId, Integer ledgerId, Integer top, Integer skip)` List all blockchain smart contract implementations of the specified blockchain application.
    `com.squareup.okhttp.Call` | `contractCodesGetAsync(Integer applicationId, Integer ledgerId, Integer top, Integer skip, ApiCallback<ContractCodeList> callback)` (asynchronously) List all blockchain smart contract implementations of the specified blockchain application.
    `com.squareup.okhttp.Call` | `contractCodesGetCall(Integer applicationId, Integer ledgerId, Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for contractCodesGet
    `ApiResponse<ContractCodeList>` | `contractCodesGetWithHttpInfo(Integer applicationId, Integer ledgerId, Integer top, Integer skip)` List all blockchain smart contract implementations of the specified blockchain application.
    `ApiClient` | `getApiClient()`
    `void` | `roleAssignmentDelete(Integer applicationId, Integer roleAssignmentId)` Deletes the specified role assignment.
    `com.squareup.okhttp.Call` | `roleAssignmentDeleteAsync(Integer applicationId, Integer roleAssignmentId, ApiCallback<Void> callback)` (asynchronously) Deletes the specified role assignment.
    `com.squareup.okhttp.Call` | `roleAssignmentDeleteCall(Integer applicationId, Integer roleAssignmentId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for roleAssignmentDelete
    `ApiResponse<Void>` | `roleAssignmentDeleteWithHttpInfo(Integer applicationId, Integer roleAssignmentId)` Deletes the specified role assignment.
    `RoleAssignment` | `roleAssignmentGet(Integer applicationId, Integer roleAssignmentId)` Get a role assignment of the specified blockchain application matching a specific user role assignment ID.
    `com.squareup.okhttp.Call` | `roleAssignmentGetAsync(Integer applicationId, Integer roleAssignmentId, ApiCallback<RoleAssignment> callback)` (asynchronously) Get a role assignment of the specified blockchain application matching a specific user role assignment ID.
    `com.squareup.okhttp.Call` | `roleAssignmentGetCall(Integer applicationId, Integer roleAssignmentId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for roleAssignmentGet
    `ApiResponse<RoleAssignment>` | `roleAssignmentGetWithHttpInfo(Integer applicationId, Integer roleAssignmentId)` Get a role assignment of the specified blockchain application matching a specific user role assignment ID.
    `RoleAssignmentList` | `roleAssignmentsGet(Integer applicationId, Integer applicationRoleId, Integer top, Integer skip)` List all role assignments of the specified blockchain application.
    `com.squareup.okhttp.Call` | `roleAssignmentsGetAsync(Integer applicationId, Integer applicationRoleId, Integer top, Integer skip, ApiCallback<RoleAssignmentList> callback)` (asynchronously) List all role assignments of the specified blockchain application.
    `com.squareup.okhttp.Call` | `roleAssignmentsGetCall(Integer applicationId, Integer applicationRoleId, Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for roleAssignmentsGet
    `ApiResponse<RoleAssignmentList>` | `roleAssignmentsGetWithHttpInfo(Integer applicationId, Integer applicationRoleId, Integer top, Integer skip)` List all role assignments of the specified blockchain application.
    `Integer` | `roleAssignmentsPost(Integer applicationId, RoleAssignmentInput roleAssignment)` Creates a user-to-role mapping in the specified blockchain application.
    `com.squareup.okhttp.Call` | `roleAssignmentsPostAsync(Integer applicationId, RoleAssignmentInput roleAssignment, ApiCallback<Integer> callback)` (asynchronously) Creates a user-to-role mapping in the specified blockchain application.
    `com.squareup.okhttp.Call` | `roleAssignmentsPostCall(Integer applicationId, RoleAssignmentInput roleAssignment, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for roleAssignmentsPost
    `ApiResponse<Integer>` | `roleAssignmentsPostWithHttpInfo(Integer applicationId, RoleAssignmentInput roleAssignment)` Creates a user-to-role mapping in the specified blockchain application.
    `void` | `setApiClient(ApiClient apiClient)`
    `Workflow` | `workflowGet(Integer workflowId)` Get a workflow matching a specific workflow ID.
    `com.squareup.okhttp.Call` | `workflowGetAsync(Integer workflowId, ApiCallback<Workflow> callback)` (asynchronously) Get a workflow matching a specific workflow ID.
    `com.squareup.okhttp.Call` | `workflowGetCall(Integer workflowId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for workflowGet
    `ApiResponse<Workflow>` | `workflowGetWithHttpInfo(Integer workflowId)` Get a workflow matching a specific workflow ID.
    `WorkflowList` | `workflowsGet(Integer applicationId, Integer top, Integer skip)` List all workflows of the specified blockchain application.
    `com.squareup.okhttp.Call` | `workflowsGetAsync(Integer applicationId, Integer top, Integer skip, ApiCallback<WorkflowList> callback)` (asynchronously) List all workflows of the specified blockchain application.
    `com.squareup.okhttp.Call` | `workflowsGetCall(Integer applicationId, Integer top, Integer skip, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for workflowsGet
    `ApiResponse<WorkflowList>` | `workflowsGetWithHttpInfo(Integer applicationId, Integer top, Integer skip)` List all workflows of the specified blockchain application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationsApi

          public ApplicationsApi()

    - #### ApplicationsApi

          public ApplicationsApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### applicationDeleteCall

          public com.squareup.okhttp.Call applicationDeleteCall(String applicationID,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for applicationDelete
      Parameters:
        `applicationID` - The id of the application. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applicationDelete

          public void applicationDelete(String applicationID)
                                 throws ApiException

      Deletes the specified blockchain application. This method can only be performed by users who are Workbench administrators. NOTE: Currently not implemented.
      Parameters:
        `applicationID` - The id of the application. (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationDeleteWithHttpInfo

          public ApiResponse<Void> applicationDeleteWithHttpInfo(String applicationID)
                                                          throws ApiException

      Deletes the specified blockchain application. This method can only be performed by users who are Workbench administrators. NOTE: Currently not implemented.
      Parameters:
        `applicationID` - The id of the application. (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationDeleteAsync

          public com.squareup.okhttp.Call applicationDeleteAsync(String applicationID,
                                                                 ApiCallback<Void> callback)
                                                          throws ApiException

      (asynchronously) Deletes the specified blockchain application. This method can only be performed by users who are Workbench administrators. NOTE: Currently not implemented.
      Parameters:
        `applicationID` - The id of the application. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### applicationDisableCall

          public com.squareup.okhttp.Call applicationDisableCall(Integer applicationId,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for applicationDisable
      Parameters:
        `applicationId` - The id of the application. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applicationDisable

          public void applicationDisable(Integer applicationId)
                                  throws ApiException

      Disables the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application. (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationDisableWithHttpInfo

          public ApiResponse<Void> applicationDisableWithHttpInfo(Integer applicationId)
                                                           throws ApiException

      Disables the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application. (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationDisableAsync

          public com.squareup.okhttp.Call applicationDisableAsync(Integer applicationId,
                                                                  ApiCallback<Void> callback)
                                                           throws ApiException

      (asynchronously) Disables the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### applicationEnableCall

          public com.squareup.okhttp.Call applicationEnableCall(Integer applicationId,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for applicationEnable
      Parameters:
        `applicationId` - The id of the application. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applicationEnable

          public void applicationEnable(Integer applicationId)
                                 throws ApiException

      Enables the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application. (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationEnableWithHttpInfo

          public ApiResponse<Void> applicationEnableWithHttpInfo(Integer applicationId)
                                                          throws ApiException

      Enables the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application. (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationEnableAsync

          public com.squareup.okhttp.Call applicationEnableAsync(Integer applicationId,
                                                                 ApiCallback<Void> callback)
                                                          throws ApiException

      (asynchronously) Enables the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### applicationGetCall

          public com.squareup.okhttp.Call applicationGetCall(Integer applicationId,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for applicationGet
      Parameters:
        `applicationId` - The id of the application. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applicationGet

          public Application applicationGet(Integer applicationId)
                                     throws ApiException

      Gets the blockchain application matching a specific application ID. Users who are Workbench administrators get the blockchain application. Non-Workbench administrators get the blockchain application if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application. (required)
      Returns:
        Application
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationGetWithHttpInfo

          public ApiResponse<Application> applicationGetWithHttpInfo(Integer applicationId)
                                                              throws ApiException

      Gets the blockchain application matching a specific application ID. Users who are Workbench administrators get the blockchain application. Non-Workbench administrators get the blockchain application if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application. (required)
      Returns:
        ApiResponse<Application>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationGetAsync

          public com.squareup.okhttp.Call applicationGetAsync(Integer applicationId,
                                                              ApiCallback<Application> callback)
                                                       throws ApiException

      (asynchronously) Gets the blockchain application matching a specific application ID. Users who are Workbench administrators get the blockchain application. Non-Workbench administrators get the blockchain application if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### applicationsGetCall

          public com.squareup.okhttp.Call applicationsGetCall(Integer top,
                                                              Integer skip,
                                                              Boolean enabled,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for applicationsGet
      Parameters:
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
        `enabled` - A Boolean for whether to filter the result set to only enabled applications. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applicationsGet

          public ApplicationList applicationsGet(Integer top,
                                                 Integer skip,
                                                 Boolean enabled)
                                          throws ApiException

      Lists all blockchain applications to which a user has access in Workbench. Users who are Workbench administrators get all blockchain applications. Non-Workbench administrators get all blockchain applications for which they have at least one associated application role or an associated smart contract instance role.
      Parameters:
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
        `enabled` - A Boolean for whether to filter the result set to only enabled applications. (optional)
      Returns:
        ApplicationList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationsGetWithHttpInfo

          public ApiResponse<ApplicationList> applicationsGetWithHttpInfo(Integer top,
                                                                          Integer skip,
                                                                          Boolean enabled)
                                                                   throws ApiException

      Lists all blockchain applications to which a user has access in Workbench. Users who are Workbench administrators get all blockchain applications. Non-Workbench administrators get all blockchain applications for which they have at least one associated application role or an associated smart contract instance role.
      Parameters:
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
        `enabled` - A Boolean for whether to filter the result set to only enabled applications. (optional)
      Returns:
        ApiResponse<ApplicationList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationsGetAsync

          public com.squareup.okhttp.Call applicationsGetAsync(Integer top,
                                                               Integer skip,
                                                               Boolean enabled,
                                                               ApiCallback<ApplicationList> callback)
                                                        throws ApiException

      (asynchronously) Lists all blockchain applications to which a user has access in Workbench. Users who are Workbench administrators get all blockchain applications. Non-Workbench administrators get all blockchain applications for which they have at least one associated application role or an associated smart contract instance role.
      Parameters:
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
        `enabled` - A Boolean for whether to filter the result set to only enabled applications. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### applicationsPostCall

          public com.squareup.okhttp.Call applicationsPostCall(File file,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for applicationsPost
      Parameters:
        `file` - Upload File (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applicationsPost

          public Integer applicationsPost(File file)
                                   throws ApiException

      Creates a new blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `file` - Upload File (required)
      Returns:
        Integer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationsPostWithHttpInfo

          public ApiResponse<Integer> applicationsPostWithHttpInfo(File file)
                                                            throws ApiException

      Creates a new blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `file` - Upload File (required)
      Returns:
        ApiResponse<Integer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applicationsPostAsync

          public com.squareup.okhttp.Call applicationsPostAsync(File file,
                                                                ApiCallback<Integer> callback)
                                                         throws ApiException

      (asynchronously) Creates a new blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `file` - Upload File (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### contractCodeDeleteCall

          public com.squareup.okhttp.Call contractCodeDeleteCall(Integer contractCodeId,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for contractCodeDelete
      Parameters:
        `contractCodeId` - The id of the contract code (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### contractCodeDelete

          public void contractCodeDelete(Integer contractCodeId)
                                  throws ApiException

      Deletes the specified blockchain smart contract implementation of a specific blockchain application. This method can only be performed by users who are Workbench administrators. NOTE: not currently implemented
      Parameters:
        `contractCodeId` - The id of the contract code (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodeDeleteWithHttpInfo

          public ApiResponse<Void> contractCodeDeleteWithHttpInfo(Integer contractCodeId)
                                                           throws ApiException

      Deletes the specified blockchain smart contract implementation of a specific blockchain application. This method can only be performed by users who are Workbench administrators. NOTE: not currently implemented
      Parameters:
        `contractCodeId` - The id of the contract code (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodeDeleteAsync

          public com.squareup.okhttp.Call contractCodeDeleteAsync(Integer contractCodeId,
                                                                  ApiCallback<Void> callback)
                                                           throws ApiException

      (asynchronously) Deletes the specified blockchain smart contract implementation of a specific blockchain application. This method can only be performed by users who are Workbench administrators. NOTE: not currently implemented
      Parameters:
        `contractCodeId` - The id of the contract code (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### contractCodeGetCall

          public com.squareup.okhttp.Call contractCodeGetCall(Integer contractCodeId,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for contractCodeGet
      Parameters:
        `contractCodeId` - The id of the contract code (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### contractCodeGet

          public FileStreamResult contractCodeGet(Integer contractCodeId)
                                           throws ApiException

      Get the blockchain smart contract implementation matching a specific ledger implementation ID. Users who are Workbench administrators get the specified smart contract implementation. Non-Workbench administrators get the smart contract implementation if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `contractCodeId` - The id of the contract code (required)
      Returns:
        FileStreamResult
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodeGetWithHttpInfo

          public ApiResponse<FileStreamResult> contractCodeGetWithHttpInfo(Integer contractCodeId)
                                                                    throws ApiException

      Get the blockchain smart contract implementation matching a specific ledger implementation ID. Users who are Workbench administrators get the specified smart contract implementation. Non-Workbench administrators get the smart contract implementation if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `contractCodeId` - The id of the contract code (required)
      Returns:
        ApiResponse<FileStreamResult>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodeGetAsync

          public com.squareup.okhttp.Call contractCodeGetAsync(Integer contractCodeId,
                                                               ApiCallback<FileStreamResult> callback)
                                                        throws ApiException

      (asynchronously) Get the blockchain smart contract implementation matching a specific ledger implementation ID. Users who are Workbench administrators get the specified smart contract implementation. Non-Workbench administrators get the smart contract implementation if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `contractCodeId` - The id of the contract code (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### contractCodePostCall

          public com.squareup.okhttp.Call contractCodePostCall(Integer applicationId,
                                                               File file,
                                                               Integer ledgerId,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for contractCodePost
      Parameters:
        `applicationId` - The id of the application (required)
        `file` - Upload File (required)
        `ledgerId` - The index of the ledger (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### contractCodePost

          public Integer contractCodePost(Integer applicationId,
                                          File file,
                                          Integer ledgerId)
                                   throws ApiException

      Uploads one or more smart contracts (ex. .sol or .zip), representing the implementation of the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application (required)
        `file` - Upload File (required)
        `ledgerId` - The index of the ledger (optional)
      Returns:
        Integer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodePostWithHttpInfo

          public ApiResponse<Integer> contractCodePostWithHttpInfo(Integer applicationId,
                                                                   File file,
                                                                   Integer ledgerId)
                                                            throws ApiException

      Uploads one or more smart contracts (ex. .sol or .zip), representing the implementation of the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application (required)
        `file` - Upload File (required)
        `ledgerId` - The index of the ledger (optional)
      Returns:
        ApiResponse<Integer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodePostAsync

          public com.squareup.okhttp.Call contractCodePostAsync(Integer applicationId,
                                                                File file,
                                                                Integer ledgerId,
                                                                ApiCallback<Integer> callback)
                                                         throws ApiException

      (asynchronously) Uploads one or more smart contracts (ex. .sol or .zip), representing the implementation of the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application (required)
        `file` - Upload File (required)
        `ledgerId` - The index of the ledger (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### contractCodesGetCall

          public com.squareup.okhttp.Call contractCodesGetCall(Integer applicationId,
                                                               Integer ledgerId,
                                                               Integer top,
                                                               Integer skip,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for contractCodesGet
      Parameters:
        `applicationId` - The id of the application (required)
        `ledgerId` - The index of the chain type (optional)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### contractCodesGet

          public ContractCodeList contractCodesGet(Integer applicationId,
                                                   Integer ledgerId,
                                                   Integer top,
                                                   Integer skip)
                                            throws ApiException

      List all blockchain smart contract implementations of the specified blockchain application. Users who are Workbench administrators get all smart contract implementations. Non-Workbench administrators get all smart contract implementations for which they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application (required)
        `ledgerId` - The index of the chain type (optional)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ContractCodeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodesGetWithHttpInfo

          public ApiResponse<ContractCodeList> contractCodesGetWithHttpInfo(Integer applicationId,
                                                                            Integer ledgerId,
                                                                            Integer top,
                                                                            Integer skip)
                                                                     throws ApiException

      List all blockchain smart contract implementations of the specified blockchain application. Users who are Workbench administrators get all smart contract implementations. Non-Workbench administrators get all smart contract implementations for which they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application (required)
        `ledgerId` - The index of the chain type (optional)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ApiResponse<ContractCodeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### contractCodesGetAsync

          public com.squareup.okhttp.Call contractCodesGetAsync(Integer applicationId,
                                                                Integer ledgerId,
                                                                Integer top,
                                                                Integer skip,
                                                                ApiCallback<ContractCodeList> callback)
                                                         throws ApiException

      (asynchronously) List all blockchain smart contract implementations of the specified blockchain application. Users who are Workbench administrators get all smart contract implementations. Non-Workbench administrators get all smart contract implementations for which they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application (required)
        `ledgerId` - The index of the chain type (optional)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### roleAssignmentDeleteCall

          public com.squareup.okhttp.Call roleAssignmentDeleteCall(Integer applicationId,
                                                                   Integer roleAssignmentId,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for roleAssignmentDelete
      Parameters:
        `applicationId` - The id of the application (required)
        `roleAssignmentId` - The id of the role assignment (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### roleAssignmentDelete

          public void roleAssignmentDelete(Integer applicationId,
                                           Integer roleAssignmentId)
                                    throws ApiException

      Deletes the specified role assignment. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application (required)
        `roleAssignmentId` - The id of the role assignment (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentDeleteWithHttpInfo

          public ApiResponse<Void> roleAssignmentDeleteWithHttpInfo(Integer applicationId,
                                                                    Integer roleAssignmentId)
                                                             throws ApiException

      Deletes the specified role assignment. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application (required)
        `roleAssignmentId` - The id of the role assignment (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentDeleteAsync

          public com.squareup.okhttp.Call roleAssignmentDeleteAsync(Integer applicationId,
                                                                    Integer roleAssignmentId,
                                                                    ApiCallback<Void> callback)
                                                             throws ApiException

      (asynchronously) Deletes the specified role assignment. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the application (required)
        `roleAssignmentId` - The id of the role assignment (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### roleAssignmentGetCall

          public com.squareup.okhttp.Call roleAssignmentGetCall(Integer applicationId,
                                                                Integer roleAssignmentId,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for roleAssignmentGet
      Parameters:
        `applicationId` - The id of the configuration (required)
        `roleAssignmentId` - The id of the role assignment (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### roleAssignmentGet

          public RoleAssignment roleAssignmentGet(Integer applicationId,
                                                  Integer roleAssignmentId)
                                           throws ApiException

      Get a role assignment of the specified blockchain application matching a specific user role assignment ID. Users who are Workbench administrators get the role assignment. Non-Workbench administrators get the role assignment if they are associated in the application.
      Parameters:
        `applicationId` - The id of the configuration (required)
        `roleAssignmentId` - The id of the role assignment (required)
      Returns:
        RoleAssignment
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentGetWithHttpInfo

          public ApiResponse<RoleAssignment> roleAssignmentGetWithHttpInfo(Integer applicationId,
                                                                           Integer roleAssignmentId)
                                                                    throws ApiException

      Get a role assignment of the specified blockchain application matching a specific user role assignment ID. Users who are Workbench administrators get the role assignment. Non-Workbench administrators get the role assignment if they are associated in the application.
      Parameters:
        `applicationId` - The id of the configuration (required)
        `roleAssignmentId` - The id of the role assignment (required)
      Returns:
        ApiResponse<RoleAssignment>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentGetAsync

          public com.squareup.okhttp.Call roleAssignmentGetAsync(Integer applicationId,
                                                                 Integer roleAssignmentId,
                                                                 ApiCallback<RoleAssignment> callback)
                                                          throws ApiException

      (asynchronously) Get a role assignment of the specified blockchain application matching a specific user role assignment ID. Users who are Workbench administrators get the role assignment. Non-Workbench administrators get the role assignment if they are associated in the application.
      Parameters:
        `applicationId` - The id of the configuration (required)
        `roleAssignmentId` - The id of the role assignment (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### roleAssignmentsGetCall

          public com.squareup.okhttp.Call roleAssignmentsGetCall(Integer applicationId,
                                                                 Integer applicationRoleId,
                                                                 Integer top,
                                                                 Integer skip,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for roleAssignmentsGet
      Parameters:
        `applicationId` - The id of the configuration (required)
        `applicationRoleId` - The id of the application role (optional)
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### roleAssignmentsGet

          public RoleAssignmentList roleAssignmentsGet(Integer applicationId,
                                                       Integer applicationRoleId,
                                                       Integer top,
                                                       Integer skip)
                                                throws ApiException

      List all role assignments of the specified blockchain application. Users who are Workbench administrators get all role assignments. Non-Workbench administrators get all their role assignments. Roles are specified in the Workbench application configuration and can be retrieved from GET /applications/{applicationID}. Also, user information can be retrieved from GET /users/{userID}.
      Parameters:
        `applicationId` - The id of the configuration (required)
        `applicationRoleId` - The id of the application role (optional)
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
      Returns:
        RoleAssignmentList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentsGetWithHttpInfo

          public ApiResponse<RoleAssignmentList> roleAssignmentsGetWithHttpInfo(Integer applicationId,
                                                                                Integer applicationRoleId,
                                                                                Integer top,
                                                                                Integer skip)
                                                                         throws ApiException

      List all role assignments of the specified blockchain application. Users who are Workbench administrators get all role assignments. Non-Workbench administrators get all their role assignments. Roles are specified in the Workbench application configuration and can be retrieved from GET /applications/{applicationID}. Also, user information can be retrieved from GET /users/{userID}.
      Parameters:
        `applicationId` - The id of the configuration (required)
        `applicationRoleId` - The id of the application role (optional)
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
      Returns:
        ApiResponse<RoleAssignmentList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentsGetAsync

          public com.squareup.okhttp.Call roleAssignmentsGetAsync(Integer applicationId,
                                                                  Integer applicationRoleId,
                                                                  Integer top,
                                                                  Integer skip,
                                                                  ApiCallback<RoleAssignmentList> callback)
                                                           throws ApiException

      (asynchronously) List all role assignments of the specified blockchain application. Users who are Workbench administrators get all role assignments. Non-Workbench administrators get all their role assignments. Roles are specified in the Workbench application configuration and can be retrieved from GET /applications/{applicationID}. Also, user information can be retrieved from GET /users/{userID}.
      Parameters:
        `applicationId` - The id of the configuration (required)
        `applicationRoleId` - The id of the application role (optional)
        `top` - The maximum number of entries to return in the result set. (optional)
        `skip` - The number of entries to skip in the result set. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### roleAssignmentsPostCall

          public com.squareup.okhttp.Call roleAssignmentsPostCall(Integer applicationId,
                                                                  RoleAssignmentInput roleAssignment,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for roleAssignmentsPost
      Parameters:
        `applicationId` - The id of the configuration. (required)
        `roleAssignment` - New user-to-role mapping. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### roleAssignmentsPost

          public Integer roleAssignmentsPost(Integer applicationId,
                                             RoleAssignmentInput roleAssignment)
                                      throws ApiException

      Creates a user-to-role mapping in the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the configuration. (required)
        `roleAssignment` - New user-to-role mapping. (optional)
      Returns:
        Integer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentsPostWithHttpInfo

          public ApiResponse<Integer> roleAssignmentsPostWithHttpInfo(Integer applicationId,
                                                                      RoleAssignmentInput roleAssignment)
                                                               throws ApiException

      Creates a user-to-role mapping in the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the configuration. (required)
        `roleAssignment` - New user-to-role mapping. (optional)
      Returns:
        ApiResponse<Integer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleAssignmentsPostAsync

          public com.squareup.okhttp.Call roleAssignmentsPostAsync(Integer applicationId,
                                                                   RoleAssignmentInput roleAssignment,
                                                                   ApiCallback<Integer> callback)
                                                            throws ApiException

      (asynchronously) Creates a user-to-role mapping in the specified blockchain application. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `applicationId` - The id of the configuration. (required)
        `roleAssignment` - New user-to-role mapping. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### workflowGetCall

          public com.squareup.okhttp.Call workflowGetCall(Integer workflowId,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for workflowGet
      Parameters:
        `workflowId` - The id of the workflow (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### workflowGet

          public Workflow workflowGet(Integer workflowId)
                               throws ApiException

      Get a workflow matching a specific workflow ID. Users who are Workbench administrators get the workflow. Non-Workbench administrators get the workflow if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `workflowId` - The id of the workflow (required)
      Returns:
        Workflow
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### workflowGetWithHttpInfo

          public ApiResponse<Workflow> workflowGetWithHttpInfo(Integer workflowId)
                                                        throws ApiException

      Get a workflow matching a specific workflow ID. Users who are Workbench administrators get the workflow. Non-Workbench administrators get the workflow if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `workflowId` - The id of the workflow (required)
      Returns:
        ApiResponse<Workflow>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### workflowGetAsync

          public com.squareup.okhttp.Call workflowGetAsync(Integer workflowId,
                                                           ApiCallback<Workflow> callback)
                                                    throws ApiException

      (asynchronously) Get a workflow matching a specific workflow ID. Users who are Workbench administrators get the workflow. Non-Workbench administrators get the workflow if they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `workflowId` - The id of the workflow (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### workflowsGetCall

          public com.squareup.okhttp.Call workflowsGetCall(Integer applicationId,
                                                           Integer top,
                                                           Integer skip,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for workflowsGet
      Parameters:
        `applicationId` - The id of the application (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### workflowsGet

          public WorkflowList workflowsGet(Integer applicationId,
                                           Integer top,
                                           Integer skip)
                                    throws ApiException

      List all workflows of the specified blockchain application. Users who are Workbench administrators get all workflows. Non-Workbench administrators get all workflows for which they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        WorkflowList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### workflowsGetWithHttpInfo

          public ApiResponse<WorkflowList> workflowsGetWithHttpInfo(Integer applicationId,
                                                                    Integer top,
                                                                    Integer skip)
                                                             throws ApiException

      List all workflows of the specified blockchain application. Users who are Workbench administrators get all workflows. Non-Workbench administrators get all workflows for which they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
      Returns:
        ApiResponse<WorkflowList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### workflowsGetAsync

          public com.squareup.okhttp.Call workflowsGetAsync(Integer applicationId,
                                                            Integer top,
                                                            Integer skip,
                                                            ApiCallback<WorkflowList> callback)
                                                     throws ApiException

      (asynchronously) List all workflows of the specified blockchain application. Users who are Workbench administrators get all workflows. Non-Workbench administrators get all workflows for which they have at least one associated application role or is associated with a smart contract instance role.
      Parameters:
        `applicationId` - The id of the application (required)
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.